PDA

View Full Version : FC2 post install problem


owakroeger
11th June 2004, 01:10 AM
Thanks to friends in the sllug, I received a set of FC2 disks, and installed it last evening. I followed the dual boot prevention advice, and my FC2/Win98 dual boot seems to be ok.
I was relieved that it had the upgrade option available, so I didn't have to try to piece my packages back together. But, now comes the problem; the synaptic package manager, and the apt-get tool both return with an error:
error while loading shared libraries;
librpm-4.2.so : no such file or directory

:confused:
OK, so what happened?

ilja
11th June 2004, 01:22 AM
You don't have librpm.
Have you tried to make

yum install librpm

as root?

ilja
11th June 2004, 01:28 AM
Or I have another idea try:

yum install rpm


I don't know why, but it seems, there is no separate librpm package for FC2, but only for FC1.

owakroeger
11th June 2004, 06:09 AM
Hi, all!
Whist I waited, I pondered....Frequently, upgrades will cause conflicts by not completely removing older files during the upgrade. I fixed the problem by completely removing the apt rpm's, and then re-installing the apt rpm for FC2. Then I downloaded and installed the synaptic rpm for FC2, and now everything seems to be working fine.:)
Just an opinion, and we all know what they say about opinions, but I think that Synaptic gui for apt is great.
Anyway, thanks for the replies.
owa

Szazhalombatta Photos - Ecully Travel Photos - Bemetara Photos